Linux iad1-shared-b7-18 6.6.49-grsec-jammy+ #10 SMP Thu Sep 12 23:23:08 UTC 2024 x86_64
Apache
: 67.205.6.31 | : 216.73.216.47
Cant Read [ /etc/named.conf ]
8.2.29
fernandoquevedo
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
README
+ Create Folder
+ Create File
/
etc /
rc2.d /
[ HOME SHELL ]
Name
Size
Permission
Action
K01apache-htcacheclean
2.43
KB
-rwxr-xr-x
K01apache2
7.99
KB
-rwxr-xr-x
K01ipmievd
3.09
KB
-rwxr-xr-x
K01stunnel4
5.6
KB
-rwxr-xr-x
K01sysstat
1.54
KB
-rwxr-xr-x
S01acct
2.06
KB
-rwxr-xr-x
S01apport
2.85
KB
-rwxr-xr-x
S01atd
1.05
KB
-rwxr-xr-x
S01cachefilesd
7.08
KB
-rwxr-xr-x
S01console-setup.sh
1.2
KB
-rwxr-xr-x
S01cron
2.99
KB
-rwxr-xr-x
S01dbus
3.08
KB
-rwxr-xr-x
S01fail2ban
6.85
KB
-rwxr-xr-x
S01grub-common
985
B
-rwxr-xr-x
S01irqbalance
2.58
KB
-rwxr-xr-x
S01lvm2-lvmpolld
586
B
-rwxr-xr-x
S01mpt-statusd
5.95
KB
-rwxr-xr-x
S01nginx
4.47
KB
-rwxr-xr-x
S01ntp
1.46
KB
-rwxr-xr-x
S01open-vm-tools
1.8
KB
-rwxr-xr-x
S01openipmi
13.46
KB
-rwxr-xr-x
S01plymouth
1.35
KB
-rwxr-xr-x
S01postfix
3.02
KB
-rwxr-xr-x
S01proftpd
5.2
KB
-rwxr-xr-x
S01rsync
4.31
KB
-rwxr-xr-x
S01smartmontools
3.02
KB
-rwxr-xr-x
S01ssh
3.96
KB
-rwxr-xr-x
S01unattended-upgrades
1.36
KB
-rwxr-xr-x
S01uuidd
1.28
KB
-rwxr-xr-x
S01zabbix-agent
1.54
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : S01smartmontools
#!/bin/sh -e # # smartmontools init.d startup script # # (C) 2003,04,07 Guido G�nther <agx@sigxcpu.org> # # loosely based on the init script that comes with smartmontools which is # copyrighted 2002 by Bruce Allen <smartmontools-support@lists.sourceforge.net> # ### BEGIN INIT INFO # Provides: smartmontools # Required-Start: $syslog $remote_fs # Required-Stop: $syslog $remote_fs # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Short-Description: SMART monitoring daemon ### END INIT INFO SMARTCTL=/usr/sbin/smartctl DAEMON=/usr/sbin/smartd PIDFILE=/var/run/smartd.pid [ -x $SMARTCTL ] || exit 0 [ -x $DAEMON ] || exit 0 . /lib/lsb/init-functions RET=0 [ -r /etc/default/rcS ] && . /etc/default/rcS [ -r /etc/default/smartmontools ] && . /etc/default/smartmontools smartd_opts="--pidfile $PIDFILE $smartd_opts" enable_smart() { log_action_begin_msg "Enabling S.M.A.R.T." for device in $enable_smart; do log_action_cont_msg "$device" if ! $SMARTCTL --quietmode=errorsonly --smart=on $device; then log_action_cont_msg "(failed)" RET=2 fi done log_action_end_msg 0 } running_pid() { # Check if a given process pid's cmdline matches a given name pid=$1 name=$2 [ -z "$pid" ] && return 1 [ ! -d /proc/$pid ] && return 1 cmd=`cat /proc/$pid/cmdline | tr "\000" "\n"|head -n 1 |cut -d : -f 1` # Is this the expected child? [ "$cmd" != "$name" ] && return 1 return 0 } running() { # Check if the process is running looking at /proc # (works for all users) # No pidfile, probably no daemon present [ ! -f "$PIDFILE" ] && return 1 # Obtain the pid and check it against the binary name pid=`cat $PIDFILE` running_pid $pid $DAEMON || return 1 return 0 } case "$1" in start) [ -n "$enable_smart" ] && enable_smart log_daemon_msg "Starting S.M.A.R.T. daemon" "smartd" if running; then log_progress_msg "already running" log_end_msg 0 exit 0 fi rm -f $PIDFILE if start-stop-daemon --start --quiet --pidfile $PIDFILE \ --exec $DAEMON -- $smartd_opts; then log_end_msg 0 else log_end_msg 1 RET=1 fi ;; stop) log_daemon_msg "Stopping S.M.A.R.T. daemon" "smartd" start-stop-daemon --stop --quiet --oknodo --pidfile $PIDFILE log_end_msg 0 ;; reload|force-reload) log_daemon_msg "Reloading S.M.A.R.T. daemon" "smartd" if start-stop-daemon --stop --quiet --signal 1 \ --pidfile $PIDFILE; then log_end_msg 0 else log_end_msg 1 RET=1 fi ;; restart) log_daemon_msg "Restarting S.M.A.R.T. daemon" "smartd" start-stop-daemon --stop --quiet --oknodo --retry 30 --pidfile $PIDFILE rm -f $PIDFILE if start-stop-daemon --start --quiet --pidfile $PIDFILE \ --exec $DAEMON -- $smartd_opts; then log_end_msg 0 else log_end_msg 1 RET=1 fi ;; status) status_of_proc $DAEMON smartd && exit 0 || exit $? ;; *) echo "Usage: /etc/init.d/smartmontools {start|stop|restart|reload|force-reload|status}" exit 1 esac exit $RET
Close